## com.google.appengine.api.xmpp
Class ErrorBuilder

    java.lang.Object
      com.google.appengine.api.xmpp.ErrorBuilder

    public class ErrorBuilder

extends java.lang.Object

Builder used to generate `Error` instances to represent incoming XMPP errors.

Constructor Summary
`ErrorBuilder()`

Method Summary
`Error` `build()`
`ErrorBuilder` `withFromJid(JID fromJid)`
`ErrorBuilder` `withStanza(java.lang.String stanza)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorBuilder

    public ErrorBuilder()

Method Detail

### withFromJid

    public ErrorBuilder withFromJid(JID fromJid)

### withStanza

    public ErrorBuilder withStanza(java.lang.String stanza)

### build

    public Error build()